com.dlsc.flexgantt.command.dateline

## Class DefaultChangeTimeZoneCommand

- java.lang.Object
- - com.dlsc.flexgantt.command.AbstractCommand
  - - com.dlsc.flexgantt.command.dateline.DefaultChangeTimeZoneCommand

- All Implemented Interfaces:
    ICommand, Serializable

      public class DefaultChangeTimeZoneCommand
      extends AbstractCommand

  A command to change the time zone displayed by the timeline.
  Since:
    1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultChangeTimeZoneCommand(IDatelineModel model, TimeZone timeZone)` Constructs a new command that will change the time zone on the given timeline.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `executeCommand(IProgressMonitor monitor)` Executes the command.
    `void` | `undoCommand(IProgressMonitor monitor)` Undos the command.

    - ### Methods inherited from class com.dlsc.flexgantt.command.AbstractCommand

      `getName, isRedoable, isRelevant, isUndoable, redoCommand, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultChangeTimeZoneCommand

          public DefaultChangeTimeZoneCommand(IDatelineModel model,
                                              TimeZone timeZone)

      Constructs a new command that will change the time zone on the given timeline.
      Parameters:
        `model` - the target dateline model
        `timeZone` - the new time zone
      Since:
        1.0

  - ### Method Detail

    - #### executeCommand

          public void executeCommand(IProgressMonitor monitor)
                              throws CommandException

      Description copied from interface: `ICommand`
      Executes the command.
      Parameters:
        `monitor` - a progress monitor
      Throws:
        `CommandException` - if anything during the execution of the command has gone wrong

    - #### undoCommand

          public void undoCommand(IProgressMonitor monitor)
                           throws CommandException

      Description copied from interface: `ICommand`
      Undos the command.
      Parameters:
        `monitor` - a progress monitor
      Throws:
        `CommandException` - if anything during the execution of the command has gone wrong

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.